Bug 845680 - jBPM process designer fails to save swimlanes correctly
jBPM process designer fails to save swimlanes correctly
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
Depends On:
  Show dependency treegraph
Reported: 2012-08-03 16:26 EDT by Phil Simpson
Modified: 2014-10-26 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A Business Process Management swimlane error would occur when a process model was generated with a swimlane positioned at the default position. This would cause the swimlane to touch the modeling canvas border. Accordingly, the Process Designer would fail to create correct BPMN2 for swimlanes with borders outside or touching the modeling canvas border. This has been resolved by altering the default swimlane position to not touch the modeling canvas borders.
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Simpson 2012-08-03 16:26:30 EDT
Description of problem:
The BPMN2 generated for a process model is incorrect if the model contains a swimlane postioned such that its x or y coordinates are zero.  i.e. if the swimlane is positioned at the far left or top of the diagram.  In this case the x or y value is omitted from the bpmn2, which then causes an error when subsequently attempting to open a previously saved diagram.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Create a new BPMN2 process in Guvnor
2.  Add a swimlane to the diagram
3.  View the bpmn2 source for the diagram.  Verify that the swimlane has height,width, x and y attributes, e.g.: <dc:Bounds height="250.0" width="600.0" x="26.0" y="186.0"/>
4.  Move the swimlane to the left hand edge of the diagram
5.  View bpmn2 source.  Note that the x coordinate has disappeared: <dc:Bounds height="250.0" width="600.0" y="186.0"/>
4.  Save & close
5.  Attempt to reopen the saved diagram
Actual results:
400 Sorry, a technical error occurred. Please contact a system administrator.

Expected results:
Diagram should open.

Additional info:
Comment 1 Tihomir Surdilovic 2012-08-26 16:01:14 EDT
You have to make sure no nodes are touching the boundaries of the canvas. That said I will make sure that swimlanes do not touch it by default when you create one. working on this now.
Comment 2 Tihomir Surdilovic 2012-08-30 11:02:16 EDT
Dragging a swimlane no longer makes its borders touch the canvas border. For the overall issue with nodes in model boundaries touching the canvas borders I would make this a separate BZ as that is a bigger change on its own I think.
Comment 3 Sona Mala 2012-09-12 10:05:08 EDT
Verified for brms standlone 5.3.1 ER1
Use case is decsribed in comment #1

Note You need to log in before you can comment on or make changes to this bug.